<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__bonded__device__list__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_bonded_device_list_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__bonded__device__list__info__t_1adb2e3424344bb0ce5460129173f7eb6b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gap__peer__addr__info__t">cy_stc_ble_gap_peer_addr_info_t</ref> *</type>
        <definition>cy_stc_ble_gap_peer_addr_info_t* cy_stc_ble_gap_bonded_device_list_info_t::bdHandleAddrList</definition>
        <argsstring />
        <name>bdHandleAddrList</name>
        <briefdescription>
<para>Pointer to list of Bluetooth device addresses and corresponding bdHandle of bonded devices. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="644" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="644" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__bonded__device__list__info__t_1a39c8530ce15c1694958a2c7d304e8dc9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_bonded_device_list_info_t::noOfDevices</definition>
        <argsstring />
        <name>noOfDevices</name>
        <briefdescription>
<para>Number of bonded devices. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="647" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="647" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Bluetooth Bonded Device Address list. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="526">
        <label>cy_stc_ble_bd_addr_t</label>
        <link refid="structcy__stc__ble__bd__addr__t" />
      </node>
      <node id="525">
        <label>cy_stc_ble_gap_peer_addr_info_t</label>
        <link refid="structcy__stc__ble__gap__peer__addr__info__t" />
        <childnode refid="526" relation="usage">
          <edgelabel>bdAddr</edgelabel>
        </childnode>
      </node>
      <node id="524">
        <label>cy_stc_ble_gap_bonded_device_list_info_t</label>
        <link refid="structcy__stc__ble__gap__bonded__device__list__info__t" />
        <childnode refid="525" relation="usage">
          <edgelabel>bdHandleAddrList</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="649" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="641" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="642" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__bonded__device__list__info__t_1adb2e3424344bb0ce5460129173f7eb6b" virt="non-virtual"><scope>cy_stc_ble_gap_bonded_device_list_info_t</scope><name>bdHandleAddrList</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__bonded__device__list__info__t_1a39c8530ce15c1694958a2c7d304e8dc9" virt="non-virtual"><scope>cy_stc_ble_gap_bonded_device_list_info_t</scope><name>noOfDevices</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>